RIM confirms BES 10 will not support existing BlackBerry phones without BES 5

BGR.com
RIM exec says carriers are ‘visibly enthusiastic’ about BlackBerry 10
.

View photo

RIM exec says carriers are ‘visibly enthusiastic’ about BlackBerry 10

Research In Motion (RIMM) responded to a recent BGR report on Wednesday by telling the media that “RIM will provide an upgrade to BES 10 in order to ensure that our enterprise customers have the most up-to-date technology available to manage their devices.” RIM also said that, “[BES 10] will support existing BlackBerry devices, including the BlackBerry PlayBook tablet,” and that, “BES 10 will be the ultimate management solution for all BlackBerry platform devices, as well as iOS and Android devices. BES 10 will launch simultaneously with the first BlackBerry 10 devices in Q1 calendar 2013.”

There is one little issue in that statement, though. RIM is being misleading in stating that BES 10 will support older generation BlackBerry devices like BlackBerry 7 smartphones, and that’s because our original story was completely accurate — companies will absolutely need to run BES 5 in addition to BES 10 in order for BlackBerry 7 devices to get email, contacts, calendar and to perform other core functions. Like we reported Tuesday, “for a corporation to support both devices, they will need to run both servers simultaneously.”

Research In Motion has confirmed this to BGR, and stated that BES 10 will need to be installed in either a Virtual Machine or a new server in addition to the existing BES 5 deployment. BES 10 will also incorporate RIM’s Mobile Fusion software.

Get more from BGR.com: Follow us on Twitter, Facebook

View Comments (1)